Bug 1649317

Summary: Dovecot lmtp director crashes for some mails
Product: [Fedora] Fedora Reporter: Marcus Fenner <mfenner>
Component: dovecotAssignee: Michal Hlavinka <mhlavink>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: anon.amish, bennie.joubert, dan, janfrode, mhlavink, pokorra.mailinglists
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: dovecot-2.3.5-1.fc29 dovecot-2.3.5-1.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-05 05:10:01 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
doveconf -n output none

Description Marcus Fenner 2018-11-13 11:42:35 UTC
Created attachment 1505201 [details]
doveconf -n output

Description of problem:

For some emails received via lmtp, dovecot director crashes with the following:

Nov 13 12:23:36 Fatal: lmtp(113620): master: service(lmtp): child 113620 killed with signal 6 (core dumped)
Nov 13 12:23:36 Panic: lmtp(113623): file ostream-dot.c: line 208 (o_stream_dot_sendv): assertion failed: ((size_t)ret == sent + added)
Nov 13 12:23:36 Error: lmtp(113623): Raw backtrace: /usr/lib64/dovecot/libdovecot.so.0(+0xe34fb) [0x7f31d89134fb] -> /usr/lib64/dovecot/libdovecot.so.0(+0xe3597) [0x7f31d8913597] -> /usr/lib64/dovecot/libdovecot.so.0(+0x51207) [0x7f31d8881207] -> /usr/lib64/dovecot/libdovecot.so.0(+0x4eeef) [0x7f31d887eeef] -> /usr/lib64/dovecot/libdovecot.so.0(+0x107cf8) [0x7f31d8937cf8] -> /usr/lib64/dovecot/libdovecot.so.0(o_stream_sendv+0x32) [0x7f31d89382c2] -> /usr/lib64/dovecot/libdovecot.so.0(io_stream_copy+0x5a) [0x7f31d8938b6a] -> /usr/lib64/dovecot/libdovecot.so.0(o_stream_send_istream+0x53) [0x7f31d8938873] -> /usr/lib64/dovecot/libdovecot.so.0(smtp_client_command_send_more+0x145) [0x7f31d8890805] -> /usr/lib64/dovecot/libdovecot.so.0(+0x660dd) [0x7f31d88960dd] -> /usr/lib64/dovecot/libssl_iostream_openssl.so(+0xa7e1) [0x7f31d864a7e1] -> /usr/lib64/dovecot/libdovecot.so.0(+0x10a558) [0x7f31d893a558] -> /usr/lib64/dovecot/libdovecot.so.0(io_loop_call_io+0x73) [0x7f31d892a203] -> /usr/lib64/dovecot/libdovecot.so.0(io_loop_handler_run_internal+0x136) [0x7f31d892b8b6] -> /usr/lib64/dovecot/libdovecot.so.0(io_loop_handler_run+0x50) [0x7f31d892a2b0] -> /usr/lib64/dovecot/libdovecot.so.0(io_loop_run+0x48) [0x7f31d892a418] -> /usr/lib64/dovecot/libdovecot.so.0(master_service_run+0x17) [0x7f31d88a95a7] -> dovecot/lmtp(main+0x245) [0x555b8b59cea5] -> /lib64/libc.so.6(__libc_start_main+0xf3) [0x7f31d867c413] -> dovecot/lmtp(_start+0x2e) [0x555b8b59cfbe]
Nov 13 12:23:36 Fatal: lmtp(113623): master: service(lmtp): child 113623 killed with signal 6 (core dumped)


Version-Release number of selected component (if applicable): 2.3.3-1.fc29


How reproducible:
not yet known

Steps to Reproduce:


Actual results:
dovecot director crashes

Expected results:
dovecot delivers mail to backend servers


Additional info:

Comment 1 Marcus Fenner 2019-03-11 14:43:24 UTC
Fixed in 2.3.5.

Comment 2 Fedora Update System 2019-03-11 15:13:32 UTC
dovecot-2.3.5-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6667c9c480

Comment 3 Fedora Update System 2019-03-11 15:13:39 UTC
dovecot-2.3.5-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8a6dbea482

Comment 4 Fedora Update System 2019-03-11 20:01:13 UTC
dovecot-2.3.5-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8a6dbea482

Comment 5 Fedora Update System 2019-03-11 20:49:02 UTC
dovecot-2.3.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6667c9c480

Comment 6 Fedora Update System 2019-04-05 05:10:01 UTC
dovecot-2.3.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-04-06 19:21:28 UTC
dovecot-2.3.5-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.